package com.bbd.bpm.controller.user;

import com.bbd.bpm.base.PageBean;
import com.bbd.bpm.result.Result;
import com.bbd.bpm.service.UserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;
/**
 * 用户功能模块管理
 * @Author:cwd
 * @Description:用户功能模块管理
 * @Date: 2019/03/04 22:53
 * @Param:
 * @return
 **/
@Controller
@RequestMapping(value = "/web/bpm/user")
public class UserWebController {
    /**
     * @Author:cwd
     * @Description:进入首页
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    @GetMapping(value = "toIndex")
    public String toIndex(){
        return "bpm/index";
    }

    /**
     * @Author:cwd
     * @Description:进入组织管理
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    @GetMapping(value = "welcome")
    public String welcome(){
        return "bpm/welcome";
    }


    /**
     * @Author:cwd
     * @Description:进入组织管理
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    @GetMapping(value = "toOrganization")
    public String toOrganization(){
        return "user/organizationList";
    }

    /**
     * @Author:cwd
     * @Description:进入流程管理
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    @GetMapping(value = "toDeployment")
    public String toDeployment(){
        return "deployment/deplymentList";
    }

    /**
     * @Author:cwd
     * @Description:进入用户管理
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    @GetMapping(value = "toUserList")
    public String toUserList(){
        return "user/userList";
    }

    /**
     * @Author:cwd
     * @Description:进入添加人员功能
     * @Date: 2019/04/04
     * @Param:
     * @return
     **/
    @GetMapping(value = "addUser")
    public String toRegister(){
        return "user/addUser";
    }

    /**
     * @Author:cwd
     * @Description:进入上传文件功能
     * @Date: 2019/04/04
     * @Param:
     * @return
     **/
    @GetMapping(value = "/imports")
    public String imports(){
        return "deployment/importDeployment";
    }

    /**
     * @Author:cwd
     * @Description:进入组织管理
     * @Date: 2019/03/04 22:53
     * @Param:
     * @return
     **/
    @GetMapping(value = "toSee")
    public String toSee(String taskId,String executionId,ModelMap modelMap){
        modelMap.addAttribute("taskId",taskId);
        modelMap.addAttribute("executionId",executionId);
        return "deployment/deplyment";
    }

}
